#include "taginfo.h"
#include <stdio.h>
#include <iostream>
#include <fstream>

using namespace TagInfo;


int main( void ) {
    Info * info;
    
    std::string val = TESTDIR "samples/sample.ape";
    //std::cout << std::endl << "val: " << val << std::endl;
    
    std::string target = "/tmp/öut_01.ape";
    
    std::ifstream  src(val.c_str());
    std::ofstream  dst(target.c_str());
    dst << src.rdbuf();
     
    info = Info::create_tag_info(target);
    if( info ) {
        if( info->read() ) {
            //std::cout << "info->artist: " << info->artist << std::endl;
            if(info->get_title() == "APE title" && info->get_artist() == "APE artist") {
                delete info;
                if(remove(target.c_str()) != 0 )
                    return EXIT_FAILURE;
                return EXIT_SUCCESS;
            }
        }
        delete info;
        if(remove(target.c_str()) != 0 )
            return EXIT_FAILURE;
        return EXIT_FAILURE;
    }
}
