#include "taginfo.h"

using namespace TagInfo;

int main( void ) {
    Info * info;
    std::string val = TESTDIR "samples/sample_v2_3_ext_header.mp3";
    
    //std::cout << std::endl << "val: " << val << std::endl;
    info = Info::create_tag_info( val );
    if( info ) {
        if( info->read() ) {
            //std::cout << "info->title: " << info->title << std::endl;
            if(info->get_title() == "Title v1") {
                delete info;
                return EXIT_SUCCESS;
            }
        }
        delete info;
        return EXIT_FAILURE;
    }
}
