#include "taginfo.h"

using namespace TagInfo;

int main( void ) {
    Info * info;
    std::string val = TESTDIR "samples/sample.m4a";
    //std::cout << std::endl << "val: " << val << std::endl;
    
    info = Info::create_tag_info(val);
    if(info) {
        if( info->read() ) {
            //std::cout << "info->title: " << info->title << std::endl;
            if(info->get_title() == "M4A title") {
                delete info;
                return EXIT_SUCCESS;
            }
        }
        delete info;
        return EXIT_FAILURE;
    }
}
