#include "taginfo.h"

using namespace TagInfo;

int main( void ) {
    Info * info;
    std::string val = TESTDIR "samples/sample_v1_only.mp3";
    //std::cout << std::endl << "val: " << val << std::endl;
    
    info = Info::create_tag_info( val );
    if( info ) {
        if( info->read() ) {
            if(info->get_title() == "MP3 title") {
                delete info;
                return EXIT_SUCCESS;
            }
        }
        delete info;
        return EXIT_FAILURE;
    }
}
